Package picard.arrays.illumina

## Class IlluminaAdpcFileWriter

- java.lang.Object
- - picard.arrays.illumina.IlluminaAdpcFileWriter

- All Implemented Interfaces:
    `AutoCloseable`

      public class IlluminaAdpcFileWriter
      extends Object
      implements AutoCloseable

  A class to encompass writing an Illumina adpc.bin file.

  This file is used as input to verifyIDIntensity, a contamination checking tool for Illumina Genotyping Arrays.

  Here is the format of the file

  The file size is (16 byte offset) + (18 bytes) * # INDS * SNP

  Note that I do not know what the header (16 bytes) should contain. verifyIDIntensity, does not care, so we are putting garbage in there now. I presume it *should* contain the number of probes (at a minimum)

  Each genotype is ordered in the following way. (ind1-snp1) - (ind1-snp2) - (ind1-snp3) ... (ind1-snpN) (ind2-snp1)

  The 18 bytes are composed of the following information.

         2-short - A intensity
         2-short - B intensity
         4-float - A normalized intensity
         4-float - B normalized intensity
         4-float - GC score : clustering confidence
         2-short - genotype value : 0 (AA) 1 (AB) 2 (BB) 3 (NN)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IlluminaAdpcFileWriter.Record` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaAdpcFileWriter​(File adpcFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `write​(Iterable<IlluminaAdpcFileWriter.Record> illuminaAdpcRecords)` |
    `void` | `write​(IlluminaAdpcFileWriter.Record illuminaAdpcRecord)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaAdpcFileWriter

          public IlluminaAdpcFileWriter​(File adpcFile)
                                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write​(Iterable<IlluminaAdpcFileWriter.Record> illuminaAdpcRecords)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          public void write​(IlluminaAdpcFileWriter.Record illuminaAdpcRecord)
                     throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`